/*
 * @FilePath: \wwwd:\code\screenFront\src\store\module\MicrofactoryDev.ts
 * @Author: 王路平
 * @文件版本: V1.0.0
 * @Date: 2023-02-06 15:58:13
 * @Description:
 *
 * 版权信息         : 2023 by ${再登软件}, All Rights Reserved.
 */
import { defineStore } from "pinia";
import { Names } from "@/store/storeName";
import { development, production } from "@/utils/devSever";
export const useMicroExhibitionStore = defineStore(Names.MicroExhibition, {
  // 使用方式
  // const Index= useIndexStore()
  // 1、Index.{数据}++
  // 2、Index.$patch({数据:??})
  // 3、Index.$patch((state)=>{ state.数据=??})
  // 4、通过action修改
  state: () => {
    return {
      devlist: [],
      devnum: {all: 5, wait: 1, off: 3, on: 0}
    };
  },
  //computed 修改一些值
  //需要使用return将数据抛出
  //getters内可相互使用计算结果
  //使用时可直接放入标签内<div>Index.方法()</div>
  getters: {},
  actions: {
    setDevlist(data) {
        this.devlist = data;
    },
    setDevnum(data) {
        this.devnum = data;
    }
  },
});
